zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ZOOKEEPER-2999) CMake build should use target-level commands
Date Mon, 09 Apr 2018 21:56:00 GMT

    [ https://issues.apache.org/jira/browse/ZOOKEEPER-2999?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16431358#comment-16431358
] 

ASF GitHub Bot commented on ZOOKEEPER-2999:
-------------------------------------------

Github user andschwa commented on the issue:

    https://github.com/apache/zookeeper/pull/486
  
    FWIW I was able to build and run tests using CMake just fine. That said, this was failing
    
    ```
    1: Zookeeper_simpleSystem::testAsyncWatcherAutoResetterminate called after throwing an
instance of 'CppUnit::Exception'
    1:   what():  equality assertion failed
    1: - Expected: -101
    1: - Actual  : -4
    ```
    
    But I don't know if it's a failure on `master` or configuration related or what. I can't
see how the posted changes would affect one particular unit test like this.


> CMake build should use target-level commands
> --------------------------------------------
>
>                 Key: ZOOKEEPER-2999
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-2999
>             Project: ZooKeeper
>          Issue Type: Improvement
>    Affects Versions: 3.6.0
>            Reporter: Andrew Schwartzmeyer
>            Assignee: Andrew Schwartzmeyer
>            Priority: Minor
>
> Originally suggested in [GitHub PR #386|https://github.com/apache/zookeeper/pull/386],
the CMake build I wrote used {{include_directories}}, which has global side effects, instead
of the more explicit {{target_include_directories}}, to include directories per target (and
with private or public scoping).
> Furthermore, it should also use {{CMAKE_CURRENT_SOURCE_DIR}} over {{CMAKE_SOURCE_DIR}}
in order to allow inclusion in other projects via {{add_subdirectory()}}, and we can reduce
the minimally required CMake version to 3.5 from 3.6.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message